<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – How to Graph Your Network</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <style type="text/css">
a.sourceLine { display: inline-block; line-height: 1.25; }
a.sourceLine { pointer-events: none; color: inherit; text-decoration: inherit; }
a.sourceLine:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode { white-space: pre; position: relative; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
code.sourceCode { white-space: pre-wrap; }
a.sourceLine { text-indent: -1em; padding-left: 1em; }
}
pre.numberSource a.sourceLine
  { position: relative; left: -4em; }
pre.numberSource a.sourceLine::before
  { content: attr(title);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; pointer-events: all; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {  }
@media screen {
a.sourceLine::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="how-to-graph-your-network">How to Graph Your Network</h1>
<p>At this point, you probably realize that graphing is Cacti's greatest strength. Cacti has many powerful features that provide complex graphing and data acquisition, some which have a slight learning curve. Do not let that stop you however, because graphing your network is incredibly simple.</p>
<p>The next two sections will outline the two basic steps which are typically required to create <strong>Graphs</strong> for most <strong>Devices</strong> or <strong>Device Types</strong>.</p>
<blockquote>
<p><strong>NOTE</strong>: The process described below is the Classic way for you to create and manage <strong>Devices</strong> and <strong>Graphs</strong>. However, Cacti now allows your to Automate many of these tasks in the <strong>Automation</strong> section of the Console. That topic is covered in the Automation Chapter.</p>
</blockquote>
<h2 id="creating-a-device">Creating a Device</h2>
<p>The first step to creating <strong>Graphs</strong> for your network is adding a <strong>Device</strong> for each network device that you want to create <strong>Graphs</strong> for. A <strong>Device</strong> contains important details such as the network hostname, SNMP parameters, and <strong>Device Type</strong> (aka <strong>Device Template</strong>).</p>
<p>To manage <strong>Devices</strong> within Cacti, click on the Devices menu item. Clicking Add will bring up a new device form. The first two fields, Description and Hostname are the only two fields that require your input beyond the defaults. If your host type is defined under the host template dropdown, be sure to select it here. You can always choose "Generic SNMP-enabled Host" if you are just graphing traffic or "None" if you are unsure. It is important to remember that the host template you choose will not lock you into any particular configuration, it will just provide more intelligent defaults for that type of host.</p>
<p><img src="images/new-device.png" alt="Adding a New Device" /></p>
<h3 id="device-field-definitions">Device Field Definitions</h3>
<ul>
<li><p><strong>Description</strong> - This description will show up in the first column of the device list. You may refer to it e.g. in graph titles.</p></li>
<li><p><strong>Hostname</strong> - Either an IP address or a hostname. The hostname will be resolved using the standard host resolving mechanisms, e.g. Dynamic Name Services (DNS)</p></li>
<li><p><strong>Host Template</strong> - A Host Template is a container for a list of graph templates that will be related to this host.</p></li>
<li><p><strong>Notes</strong> - Notes for a given device.</p></li>
<li><p><strong>Disable Host</strong> - Exclude this host from being polled. This is of particular value, if a device is no longer available, but should be kept e.g. as a reference.</p></li>
</ul>
<h3 id="availabilityreachability-options">Availability/Reachability Options</h3>
<ul>
<li><p><strong>Downed Device Detection</strong></p>
<ul>
<li><em><strong>NONE</strong></em> - Deactivate downed host detection</li>
<li><em><strong>SNMP</strong></em> - verify SNMP check on OID .1 and .1.3</li>
<li><em><strong>ICMP</strong></em> - perform a ping test, see below</li>
<li><em><strong>PING and SNMP</strong></em> - perform both tests</li>
</ul></li>
<li><p><strong>Ping Method</strong> - Available only for <em><strong>PING and SNMP</strong></em> or <em><strong>PING</strong></em></p>
<ul>
<li><em><strong>ICMP</strong></em> - perform ICMP tests. Requires permissions</li>
<li><em><strong>UDP</strong></em> - perform a UDP test</li>
<li><em><strong>TCP</strong></em> - perform a TCP test</li>
</ul></li>
<li><p><strong>Ping Port</strong> - Available only for UDP/TCP PING test types. Please define the port to be tested here. Make sure, that no firewall intercepts the test ping.</p></li>
<li><p><strong>Timeout Value</strong> - After this time, the test fails. Measured in units of milliseconds.</p></li>
<li><p><strong>Ping Retry Count</strong> - The number of times Cacti will attempt to ping a host before failing.</p></li>
</ul>
<h3 id="snmp-options">SNMP Options</h3>
<ul>
<li><p><strong>SNMP Version</strong></p>
<ul>
<li><em><strong>Version 1</strong></em> - Use SNMP Version 1. Be aware, that 64bit counters are not supported in this SNMP version.</li>
<li><em><strong>Version 2</strong></em> - Referred to as SNMP V2c in most SNMP documentations</li>
<li><em><strong>Version 3</strong></em> - SNMP V3, supporting authentication and encryption</li>
</ul></li>
<li><p><strong>SNMP Community</strong> - SNMP read community for this device</p></li>
<li><p><strong>SNMP Port</strong> - UDP port number to use for SNMP (default is 161).</p></li>
<li><p><strong>SNMP Timeout</strong> - Maximum number of milliseconds Cacti will wait for an SNMP response (does not work with php-snmp support).</p></li>
<li><p><strong>Maximum OID's Per Get Request</strong> - This is a performance feature. Specifies the number of OID's that can be obtained in a single SNMP Get request. <em><strong>WARNING</strong></em>: This feature only works when using Spine. <em><strong>WARNING</strong></em> Some devices do not support values greater than <code>1</code> and/or may crash if this value is to high.</p></li>
</ul>
<h3 id="security-options-for-snmp-v3">Security Options for SNMP V3</h3>
<ul>
<li><p><em><strong>SNMP Username</strong></em> - <code>username</code> of an SNMP V3 <code>createUser</code> statement or equivalent</p></li>
<li><p><em><strong>SNMP Password</strong></em> - <code>authpassphrase</code> of an SNMP V3 <code>createUser</code> statement or equivalent</p></li>
<li><p><em><strong>SNMP Auth Protocol</strong></em> - Authentication type of an SNMP V3 <code>createUser</code> statement or equivalent. Select either MD5 or SHA. Defaults to MD5.</p></li>
<li><p><em><strong>SNMP Privacy Passphrase</strong></em> - The <code>privacy passphrase</code> of an SNMP V3 <code>createUser</code> statement or equivalent.</p></li>
<li><p><em><strong>SNMP Privacy Protocol</strong></em> - The <code>privacy protocol</code> of an SNMP V3 <code>createUser</code> statement or equivalent. Select either DES or AES. Defaults to DES.</p></li>
<li><p><em><strong>SNMP Context</strong></em> - When using the View-Based Access Control Model (VACM), it is possible to specify an SNMP Context when mapping a community name to a security name with a <code>com2sec</code> directive, with the <code>group</code> directive and the <code>access</code> directive. This allows for defining special access models. If using such a parameter with your target's SNMP configuration, specify the context name to be used to access that target here.</p></li>
</ul>
<p>After saving your new device, you should be redirected back to the same edit form with some additional information. If you configured SNMP for this host by providing a valid community string, you should see various statistics listed at the top of the page. If you see "SNMP error" instead, this indicates an SNMP problem between Cacti and your device.</p>
<p>Towards the bottom of the page there will be two addition boxes, Associated Data Queries, and Associated Graph Templates. If you selected a host template on the previous page, there will probably be a few items in each box. If there is nothing listed in either box, you will need to associate at least one data query or graph template with your new device or you will not be able to create graphs in the next step. If no available graph template or data query applies to your device, you can check the Cacti templates repository or create your own if nothing currently exists.</p>
<h3 id="a-word-about-snmp">A Word About SNMP</h3>
<p>The SNMP version that you choose can have a great effect on how SNMP works for you in Cacti. Version 1 should be used for everything unless you have reason to choose otherwise. If you plan on utilizing (and your device supports) high-speed (64-bit) counters, you must select version 2. Starting with Cacti 0.8.7, version 3 is fully implemented.</p>
<p>The way in which Cacti retrieves SNMP information from a host has an effect on which SNMP-related options are supported. Currently there are three types of SNMP retrieval methods in Cacti and are outlined below.</p>
<h4 id="snmp-retrieval-types">SNMP Retrieval Types</h4>
<table>
<thead>
<tr class="header">
<th>Type</th>
<th>Description</th>
<th>Supported Options</th>
<th>Where Used</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>External SNMP</td>
<td>Calls the net-snmp snmpwalk and snmpget binaries that are installed on your system.</td>
<td>All SNMP options</td>
<td>Web interface and PHP poller</td>
</tr>
<tr class="even">
<td>Internal SNMP</td>
<td>Uses PHP's SNMP functions which are linked against <code>net-snmp</code> at compile time.</td>
<td>Version 1 Only</td>
<td>Web interface and PHP poller</td>
</tr>
<tr class="odd">
<td>Spine SNMP</td>
<td>Links directly against <code>net-snmp</code> and directly uses the SNMP APIs.</td>
<td>All SNMP options</td>
<td>Spine Poller</td>
</tr>
</tbody>
</table>
<h3 id="snmp-v3-options-explained">SNMP V3 Options Explained</h3>
<p>SNMP supports authentication and encryption features when using SNMP protocol version 3 known as <em>View-Based Access Control Model (VACM)</em>. This requires, that the target device in question supports and is configured for SNMP V3 use. In general, configuration of V3 options is target type dependent. The following is cited from <code>man snmpd.conf</code> concerning user definitions</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb1-1" title="1"><span class="ex">SNMPv3</span> Users</a>
<a class="sourceLine" id="cb1-2" title="2">    <span class="ex">createUser</span> [-e ENGINEID] username (MD5<span class="kw">|</span><span class="ex">SHA</span>) <span class="ex">authpassphrase</span> [DES<span class="kw">|</span><span class="ex">AES</span>] [privpassphrase]</a>
<a class="sourceLine" id="cb1-3" title="3"></a>
<a class="sourceLine" id="cb1-4" title="4">           <span class="ex">MD5</span> and SHA are the authentication types to use.  DES and AES are the privacy</a>
<a class="sourceLine" id="cb1-5" title="5">           <span class="ex">protocols</span>  to  use. If  the  privacy  passphrase  is not specified, it is assumed</a>
<a class="sourceLine" id="cb1-6" title="6">           <span class="ex">to</span> be the same as the authentication passphrase.  Note that the users created will</a>
<a class="sourceLine" id="cb1-7" title="7">           <span class="ex">be</span> useless unless they are also added  to  the  VACM access control tables</a>
<a class="sourceLine" id="cb1-8" title="8">           <span class="ex">described</span> above.</a>
<a class="sourceLine" id="cb1-9" title="9"></a>
<a class="sourceLine" id="cb1-10" title="10">           <span class="ex">SHA</span>  authentication  and DES/AES privacy require OpenSSL to be installed and the</a>
<a class="sourceLine" id="cb1-11" title="11">           <span class="ex">agent</span> to be built with OpenSSL support.  MD5 authentication may be used without</a>
<a class="sourceLine" id="cb1-12" title="12">           <span class="ex">OpenSSL.</span></a>
<a class="sourceLine" id="cb1-13" title="13"></a>
<a class="sourceLine" id="cb1-14" title="14">           <span class="ex">Warning</span>: the minimum pass phrase length is 8 characters.</a></code></pre></div>
<p>VACM directives are explained from <code>man snmpd.conf</code> as follows</p>
<div class="sourceCode" id="cb2"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb2-1" title="1"><span class="ex">VACM</span> Configuration</a>
<a class="sourceLine" id="cb2-2" title="2">    <span class="ex">The</span> full flexibility of the VACM is available using four configuration directives -</a>
<a class="sourceLine" id="cb2-3" title="3">    <span class="ex">com2sec</span>, group,  view and access.  These provide direct configuration of the underlying</a>
<a class="sourceLine" id="cb2-4" title="4">    <span class="ex">VACM</span> tables.</a>
<a class="sourceLine" id="cb2-5" title="5"></a>
<a class="sourceLine" id="cb2-6" title="6">    <span class="ex">com2sec</span>  [-Cn CONTEXT] SECNAME SOURCE COMMUNITY</a>
<a class="sourceLine" id="cb2-7" title="7">           <span class="ex">map</span>  an  SNMPv1 or SNMPv2c community string to a security name - either from a</a>
<a class="sourceLine" id="cb2-8" title="8">           <span class="ex">particular</span> range of source addresses, or globally (<span class="st">&quot;default&quot;</span>)<span class="bu">.</span>  <span class="ex">A</span> restricted</a>
<a class="sourceLine" id="cb2-9" title="9">           <span class="bu">source</span> can either be a specific  hostname (or  address), <span class="ex">or</span> a subnet -</a>
<a class="sourceLine" id="cb2-10" title="10">           <span class="ex">represented</span> as IP/MASK (e.g. 10.10.10.0/255.255.255.0), <span class="ex">or</span> IP/BITS</a>
<a class="sourceLine" id="cb2-11" title="11">           <span class="kw">(</span><span class="ex">e.g.</span> 10.10.10.0/24<span class="kw">)</span>, <span class="ex">or</span> the IPv6 equivalents.</a>
<a class="sourceLine" id="cb2-12" title="12"></a>
<a class="sourceLine" id="cb2-13" title="13">           <span class="ex">The</span> same community string can be specified in several separate directives</a>
<a class="sourceLine" id="cb2-14" title="14">           <span class="kw">(</span><span class="ex">presumably</span> with different  source  tokens<span class="kw">)</span>, <span class="ex">and</span> the first source/community</a>
<a class="sourceLine" id="cb2-15" title="15">           <span class="ex">combination</span> that matches the incoming request will be selected.  Various</a>
<a class="sourceLine" id="cb2-16" title="16">           <span class="ex">source/community</span> combinations can also map to the same security name.</a>
<a class="sourceLine" id="cb2-17" title="17"></a>
<a class="sourceLine" id="cb2-18" title="18">           <span class="ex">If</span> a CONTEXT is specified (using -Cn), <span class="ex">the</span> community string will be mapped</a>
<a class="sourceLine" id="cb2-19" title="19">           <span class="ex">to</span> a security  name  in the named SNMPv3 context. Otherwise the default</a>
<a class="sourceLine" id="cb2-20" title="20">           <span class="ex">context</span> (<span class="st">&quot;&quot;</span>) <span class="ex">will</span> be used.</a>
<a class="sourceLine" id="cb2-21" title="21"></a>
<a class="sourceLine" id="cb2-22" title="22">    <span class="ex">group</span> GROUP <span class="dt">{v1|v2c|usm}</span> SECNAME</a>
<a class="sourceLine" id="cb2-23" title="23">           <span class="ex">maps</span>  a  security name (in the specified security model) <span class="ex">into</span> a named group.</a>
<a class="sourceLine" id="cb2-24" title="24">           <span class="ex">Several</span> group directives can specify the same group name, allowing a single</a>
<a class="sourceLine" id="cb2-25" title="25">           <span class="ex">access</span> setting to apply to several  users and/or community strings.</a>
<a class="sourceLine" id="cb2-26" title="26"></a>
<a class="sourceLine" id="cb2-27" title="27">           <span class="ex">Note</span>  that  groups must be set up for the two community-based models separately -</a>
<a class="sourceLine" id="cb2-28" title="28">           <span class="ex">a</span> single com2sec (or equivalent) <span class="ex">directive</span> will typically be accompanied by two</a>
<a class="sourceLine" id="cb2-29" title="29">           <span class="ex">group</span> directives.</a>
<a class="sourceLine" id="cb2-30" title="30"></a>
<a class="sourceLine" id="cb2-31" title="31">    <span class="ex">view</span> VNAME TYPE OID [MASK]</a>
<a class="sourceLine" id="cb2-32" title="32">           <span class="ex">defines</span> a named <span class="st">&quot;view&quot;</span> - a subset of the overall OID tree. This is most commonly</a>
<a class="sourceLine" id="cb2-33" title="33">           <span class="ex">a</span> single subtree, but  several view directives can be given with the same view</a>
<a class="sourceLine" id="cb2-34" title="34">           <span class="ex">name</span>, to build up a more complex collection of OIDs.  TYPE is either included</a>
<a class="sourceLine" id="cb2-35" title="35">           <span class="ex">or</span> excluded, which can again define a more complex view (e.g by excluding certain</a>
<a class="sourceLine" id="cb2-36" title="36">           <span class="ex">sensitive</span> objects from an otherwise accessible subtree)<span class="ex">.</span></a>
<a class="sourceLine" id="cb2-37" title="37"></a>
<a class="sourceLine" id="cb2-38" title="38">           <span class="ex">MASK</span> is a list of hex octets (separated by . or :)</a>
<a class="sourceLine" id="cb2-39" title="39">           <span class="ex">with</span> the set bits indicating which subidentifiers in the view OID to match against.</a>
<a class="sourceLine" id="cb2-40" title="40">           <span class="ex">This</span> can be used to define a view covering a particular row (or  rows) <span class="kw">in</span> <span class="ex">a</span> table.</a>
<a class="sourceLine" id="cb2-41" title="41">           <span class="ex">If</span> not specified, this defaults to matching the OID exactly (all bits set), <span class="ex">thus</span></a>
<a class="sourceLine" id="cb2-42" title="42">           <span class="ex">defining</span> a simple OID subtree.</a>
<a class="sourceLine" id="cb2-43" title="43"></a>
<a class="sourceLine" id="cb2-44" title="44">    <span class="ex">access</span> GROUP CONTEXT <span class="dt">{any|v1|v2c|usm}</span> LEVEL PREFX READ WRITE NOTIFY</a>
<a class="sourceLine" id="cb2-45" title="45">           <span class="ex">maps</span> from a group of users/communities (with a particular security model</a>
<a class="sourceLine" id="cb2-46" title="46">           <span class="ex">and</span>  minimum  security level, and in a specific context) <span class="ex">to</span> one of three views,</a>
<a class="sourceLine" id="cb2-47" title="47">           <span class="ex">depending</span> on the request being processed.</a>
<a class="sourceLine" id="cb2-48" title="48"></a>
<a class="sourceLine" id="cb2-49" title="49">           <span class="ex">LEVEL</span> is one of noauth, auth, or priv.  PREFX specifies how CONTEXT should be</a>
<a class="sourceLine" id="cb2-50" title="50">           <span class="ex">matched</span> against  the context  of  the  incoming  request, either exact or prefix.</a>
<a class="sourceLine" id="cb2-51" title="51">           <span class="ex">READ</span>, WRITE and NOTIFY specifies the view to be used for GET*, SET and</a>
<a class="sourceLine" id="cb2-52" title="52">           <span class="ex">TRAP/INFORM</span> requests (although the NOTIFY view is not currently used)<span class="bu">.</span>  <span class="ex">For</span></a>
<a class="sourceLine" id="cb2-53" title="53">           <span class="ex">v1</span> or v2c access, LEVEL will need to be noauth.</a></code></pre></div>
<p>As an example, following definitions in the snmpd configuration create a set of definitions for use with SNMP V3</p>
<div class="sourceCode" id="cb3"><pre class="sourceCode ini"><code class="sourceCode ini"><a class="sourceLine" id="cb3-1" title="1"><span class="co"># sample configuration for SNMP V3</span></a>
<a class="sourceLine" id="cb3-2" title="2"></a>
<a class="sourceLine" id="cb3-3" title="3"><span class="co"># create an SNMP V3 user with an authpassphrase and a privacy passphrase</span></a>
<a class="sourceLine" id="cb3-4" title="4"><span class="co">##         username   authProto  authpassphrase  privProto  privpassphrase</span></a>
<a class="sourceLine" id="cb3-5" title="5"><span class="co">##         --------   ---------  --------------  ---------  --------------</span></a>
<a class="sourceLine" id="cb3-6" title="6"><span class="dt">createUser gandalf    MD5        myauthpass      DES        myprivpass</span></a>
<a class="sourceLine" id="cb3-7" title="7"></a>
<a class="sourceLine" id="cb3-8" title="8"></a>
<a class="sourceLine" id="cb3-9" title="9"><span class="co"># Second, map the security name into a group name:</span></a>
<a class="sourceLine" id="cb3-10" title="10"><span class="co">##    groupName    securityModel  securityName</span></a>
<a class="sourceLine" id="cb3-11" title="11"><span class="co">##    ---------    -------------  ------------</span></a>
<a class="sourceLine" id="cb3-12" title="12"><span class="dt">group groupv3      usm            gandalf</span></a>
<a class="sourceLine" id="cb3-13" title="13"></a>
<a class="sourceLine" id="cb3-14" title="14"></a>
<a class="sourceLine" id="cb3-15" title="15"><span class="co"># Third, create a view for us to let the group have rights to:</span></a>
<a class="sourceLine" id="cb3-16" title="16"><span class="co">##          incl/excl  subtree   mask</span></a>
<a class="sourceLine" id="cb3-17" title="17"><span class="co">##          ---------  -------   ----</span></a>
<a class="sourceLine" id="cb3-18" title="18"><span class="dt">view    all included   .iso      80</span></a>
<a class="sourceLine" id="cb3-19" title="19"></a>
<a class="sourceLine" id="cb3-20" title="20"></a>
<a class="sourceLine" id="cb3-21" title="21"><span class="co"># Fourth, create the access for that group without context</span></a>
<a class="sourceLine" id="cb3-22" title="22"><span class="co">##                context sec.model sec.level prefix read   write  notif</span></a>
<a class="sourceLine" id="cb3-23" title="23"><span class="co">##                ------- --------- --------- ------ ----   -----  -----</span></a>
<a class="sourceLine" id="cb3-24" title="24"><span class="dt">access groupv3    &quot;&quot;      any       auth      exact  all    all    all</span></a></code></pre></div>
<p>When adding this stuff to your snmp configuration, please remember to restart the agent. Verify this setting using</p>
<div class="sourceCode" id="cb4"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb4-1" title="1"><span class="ex">shell</span><span class="op">&gt;</span>snmpwalk -v 3 -a MD5 -A myauthpass -x DES -X myprivpass -u gandalf -l authpriv localhost interface</a>
<a class="sourceLine" id="cb4-2" title="2"><span class="ex">IF-MIB</span>::ifNumber.0 = INTEGER: 3</a>
<a class="sourceLine" id="cb4-3" title="3"><span class="ex">IF-MIB</span>::ifIndex.1 = INTEGER: 1</a>
<a class="sourceLine" id="cb4-4" title="4"><span class="ex">IF-MIB</span>::ifIndex.2 = INTEGER: 2</a>
<a class="sourceLine" id="cb4-5" title="5"><span class="ex">IF-MIB</span>::ifIndex.3 = INTEGER: 3</a>
<a class="sourceLine" id="cb4-6" title="6"><span class="ex">IF-MIB</span>::ifDescr.1 = STRING: lo</a>
<a class="sourceLine" id="cb4-7" title="7"><span class="ex">IF-MIB</span>::ifDescr.2 = STRING: irda0</a>
<a class="sourceLine" id="cb4-8" title="8"><span class="ex">IF-MIB</span>::ifDescr.3 = STRING: eth0</a>
<a class="sourceLine" id="cb4-9" title="9"><span class="ex">IF-MIB</span>::ifType.1 = INTEGER: softwareLoopback(24)</a>
<a class="sourceLine" id="cb4-10" title="10"><span class="ex">IF-MIB</span>::ifType.2 = INTEGER: other(1)</a>
<a class="sourceLine" id="cb4-11" title="11"><span class="ex">IF-MIB</span>::ifType.3 = INTEGER: ethernetCsmacd(6)</a>
<a class="sourceLine" id="cb4-12" title="12"><span class="ex">...</span></a></code></pre></div>
<h2 id="creating-the-graphs">Creating the Graphs</h2>
<p>Now that you have created some devices, it is time to create graphs for these devices. To do this, select the New Graphs menu option under the Create heading. If you're still at the device edit screen, select Create Graphs for this Host to see a screen similar to the image pictured below.</p>
<p><img src="images/new-graphs.png" alt="Creating New Graphs" /></p>
<p>The dropdown menu that contains each device should be used to select the host that you want to create new graphs for. The basic concept to this page is simple, place a check in each row that you want to create a graph for and click Create.</p>
<p>If you are creating graphs from inside a "Data Query" box, there are a few additional things to keep in mind. First is that you may encounter the situation as pictured above with the "SNMP - Interface Statistics" data query. If this occurs you may want to consult the section on debugging data queries to see why your data query is not returning any results. Also, you may see a "Select a graph type" dropdown box under some data query boxes. Changing the value of this dropdown box affects which type of graph Cacti will make after clicking the Create button. Cacti only displays this dropdown box when there is more than one type to choose from, so it may not be displayed in all cases.</p>
<p>Once you have selected the graphs that you want to create, simply click the Create button at the bottom of the page. You will be taken to a new page that allows you to specify additional information about the graphs you are about to create. You only see the fields here that are not part of each template, otherwise the value automatically comes from the template. When all of the values on this page look correct, click the Create button one last time to actually create your graphs.</p>
<p>If you would like to edit or delete your graphs after they have been created, use the Graph Management item on the menu. Likewise, the Data Source menu item allows you to manage your data sources in Cacti.</p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
